%define upstream_name    Test-NoTabs
%define upstream_version 2.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check the presence of tabs in your project
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc) for the presence of tabs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.20.0-3.mga8
+ Revision: 1506481
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.20.0-2.mga7
+ Revision: 1286683
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 2.20.0-1.mga7
+ Revision: 1220772
- update to 2.02

* Sun Jul 23 2017 shlomif <shlomif> 2.0.0-1.mga7
+ Revision: 1128972
- update to 2.00

* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-3.mga6
+ Revision: 1034436
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.400.0-2.mga6
+ Revision: 967052
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 847989
- update to 1.4

* Sun Oct 19 2014 umeabot <umeabot> 1.300.0-6.mga5
+ Revision: 789327
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-5.mga5
+ Revision: 739224
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-4.mga5
+ Revision: 686500
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 515246
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 373669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 267511
- update to 1.3

* Wed Jun 15 2011 jquelin <jquelin> 1.100.0-1.mga2
+ Revision: 107465
- update to 1.1

* Fri Jan 21 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 28812
- mageia rebuild
- imported package perl-Test-NoTabs

